OSINT Lookups
Steam Profile Lookup
GET
https://oathnet.org/api
/
service
/
steam
Steam Profile Lookup
curl --request GET \
--url https://oathnet.org/api/service/steam \
--header 'x-api-key: <api-key>'import requests
url = "https://oathnet.org/api/service/steam"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://oathnet.org/api/service/steam', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Request completed successfully",
"data": {
"username": "gayhowshar",
"id": "1100001586a2b38",
"avatar": "https://avatars.steamstatic.com/.../full.jpg",
"meta": {
"username": "gayhowshar",
"id": "76561199443618616",
"avatar": "https://avatars.steamstatic.com/.../full.jpg",
"raw_data": {
"steamid": "76561199443618616",
"communityvisibilitystate": 3,
"profilestate": 1,
"personaname": "gayhowshar",
"profileurl": "https://steamcommunity.com/profiles/76561199443618616/",
"avatar": "https://avatars.steamstatic.com/...",
"avatarmedium": "https://avatars.steamstatic.com/..._medium.jpg",
"avatarfull": "https://avatars.steamstatic.com/..._full.jpg",
"avatarhash": "fef49e7fa7e1997310d705b2a6158ff8dc1cdfeb",
"personastate": 0,
"primaryclanid": "103582791429521408",
"timecreated": 1670701199,
"personastateflags": 0
},
"source": "steam_api"
},
"_meta": {
"user": {
"plan": "Pro"
}
}
}
}⌘I
Steam Profile Lookup
